petsc-3.12.1 2019-10-22
Report Typos and Errors

# MATMPIAIJ

MATMPIAIJ = "mpiaij" - A matrix type to be used for parallel sparse matrices.

### Options Database Keys

-mat_type mpiaij -sets the matrix type to "mpiaij" during a call to MatSetFromOptions()

### Notes

MatSetValues() may be called for this matrix type with a NULL argument for the numerical values, in this case the values associated with the rows and columns one passes in are set to zero in the matrix

MatSetOptions(,MAT_STRUCTURE_ONLY,PETSC_TRUE) may be called for this matrix type. In this no space is allocated for the nonzero entries and any entries passed with MatSetValues() are ignored

### See Also

MatCreateAIJ()

### Level

beginner

### Location

src/mat/impls/aij/mpi/mpiaij.c

### Examples

src/ksp/ksp/examples/tutorials/ex54.c.html
src/ksp/ksp/examples/tutorials/ex54f.F90.html
src/snes/examples/tutorials/ex70.c.html
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages